Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::MayaDAGUtility Class Reference

MayaDAGユーティリティ. More...

`#include <MayaDAGUtility.h>`

List of all members.

## Static Public Member Functions
String | getName (const MObject &node)
| 名前の取得
String | getName (const MDagPath &dagPath)
| 名前の取得
String | getFullPath (const MObject &node)
| フルパスの取得
String | getFullPath (const MDagPath &dagPath)
| フルパスの取得
MPlug | getPlug (const MObject &node, const String &plugName)
| プラグの取得
MPlug | getPlug (const MDagPath &dagPath, const String &plugName)
| プラグの取得

## Detailed Description

MayaDAGユーティリティ.

Definition at line 34 of file MayaDAGUtility.h.

## Member Function Documentation

String LampForMaya::MayaDAGUtility::getFullPath | ( | const MDagPath & | dagPath | ) | `[static]`

  | フルパスの取得 Parameters:
  dagPath | DAGパス
Returns: フルパス Definition at line 56 of file MayaDAGUtility.cpp. References MayaStatusCheck.

String LampForMaya::MayaDAGUtility::getFullPath | ( | const MObject & | node | ) | `[static]`

  | フルパスの取得 Parameters:
  node | DAGノード
Returns: フルパス Definition at line 48 of file MayaDAGUtility.cpp. References MayaStatusCheck.

String LampForMaya::MayaDAGUtility::getName | ( | const MDagPath & | dagPath | ) | `[static]`

  | 名前の取得 Parameters:
  dagPath | DAGパス
Returns: 名前 Definition at line 40 of file MayaDAGUtility.cpp. References MayaStatusCheck.

String LampForMaya::MayaDAGUtility::getName | ( | const MObject & | node | ) | `[static]`

  | 名前の取得 Parameters:
  node | DAGノード
Returns: 名前 Definition at line 32 of file MayaDAGUtility.cpp. References MayaStatusCheck.

MPlug LampForMaya::MayaDAGUtility::getPlug | ( | const MDagPath & | dagPath,
|  | const String & | plugName
| ) | `[static]`

  | プラグの取得 Parameters:
  dagPath | DAGパス
  plugName | プラグ名
Returns: プラグ Definition at line 74 of file MayaDAGUtility.cpp. References MayaStatusCheck.

MPlug LampForMaya::MayaDAGUtility::getPlug | ( | const MObject & | node,
|  | const String & | plugName
| ) | `[static]`

  | プラグの取得 Parameters:
  node | ディペンデンシノード
  plugName | プラグ名
Returns: プラグ Definition at line 64 of file MayaDAGUtility.cpp. References MayaStatusCheck.

The documentation for this class was generated from the following files:

- MayaDAGUtility.h
- MayaDAGUtility.cpp